package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Dagger;

public class Vampire extends Enemy {

    public Vampire() {
        super("Vampire", 120, 50, new Dagger() , 50);
    }

    @Override
    public void specialAbility(Entity target) {
        int damage = getWeapon().getDamage() * 2;

        target.takeDamage(damage);


        setHp(getHp() + damage / 2);

        System.out.println("Vampire uses Life Drain!");
        System.out.println(target.getName() + " takes " + damage + " damage.");
    }
}
